<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" omit-xml-declaration="yes"/>

	<xsl:include href="preferences.xsl"/>
	<xsl:include href="options.xsl"/>

	<xsl:include href="idx_hd_tag_selection.xsl"/>
	
	<xsl:template match="/">


			
	<!-- Cover fields size -->
	<xsl:variable name="CoverAreaWidth">
		<xsl:choose>
			<xsl:when test="$Use18CoversPerPage = 'false'">148</xsl:when><!-- 8 Covers size -->
			<xsl:otherwise>178</xsl:otherwise><!-- 18 Covers size -->
		</xsl:choose>
	</xsl:variable>
	
	<xsl:variable name="CoverAreaHeight">
		<xsl:choose>
			<xsl:when test="$Use18CoversPerPage = 'false'">173</xsl:when><!-- 8 Covers size -->
			<xsl:otherwise>189</xsl:otherwise><!-- 18 Covers size -->
		</xsl:choose>
	</xsl:variable>

	<!-- Title of a index set page -->
	<xsl:variable name="IsBoxSet" select="//index[@current='true']/@name"/>
	
	<!-- Title of a index set page -->
	<xsl:variable name="TitleOfSet" select="//index[@current='true']/@name"/>

	<!-- Index as a set page -->
	<xsl:variable name="isSetIndex">
		<xsl:choose>
			<xsl:when test="//category[@current='true']/@name = 'Set'">true</xsl:when>
			<xsl:otherwise>false</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>

	<xsl:variable name="SetFanart" select="//movies/movie[1]/fanartFile"/>
	<xsl:variable name="BackgroundImageFile">
		<xsl:choose>
			<xsl:when test="$UseOneBackgroundOnly = 'true'">pictures/Index/backgroundall.jpg</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$isSetIndex = 'false'">pictures/Index/background.jpg</xsl:when> <!-- Use this pic for normal index background -->
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="$SetFanart = 'UNKNOWN' or $UseFanartForSetIndexPages = 'false'">pictures/Index/set_background.jpg</xsl:when> <!-- Use an other default pic for a set index background -->
							<xsl:otherwise><xsl:value-of select="concat(//category[@name = 'Set']/index[@current='true'],'.fanart.jpg')"/></xsl:otherwise>
							<!-- <xsl:otherwise><xsl:value-of select="concat(//index[@current='true'],'.fanart.jpg')"/></xsl:otherwise> -->
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
		
	
<!--		
SetFanartFirstFile=<xsl:value-of select="$SetFanart"/>
Set=<xsl:value-of select="$isSetIndex"/>		
BackgroundImage=<xsl:value-of select="$BackgroundImageFile"/>	
-->
		<xsl:variable name="currentIndex" select="//index[@current='true']/@currentIndex"/>
		<xsl:variable name="lastIndex" select="//index[@current='true']/@lastIndex"/>
		<xsl:variable name="previousIndex" select="//index[@current='true']/@previous"/>
		<xsl:variable name="nextIndex" select="//index[@current='true']/@next"/>
		<xsl:variable name="firstIndex" select="//index[@current='true']/@first"/>
		<xsl:variable name="lastIdx" select="//index[@current='true']/@last"/>
		<xsl:variable name="nbCols" select="//@cols"/>
		<xsl:variable name="nbLines" select="ceiling(count(library/movies/movie) div $nbCols)"/>
		<xsl:variable name="nbMovies" select="ceiling(count(library/movies/movie))"/>
		<xsl:variable name="nTrailer" select="//@isExtra"/>
		<xsl:variable name="max_nb_of_chars_for_title">49</xsl:variable>
		<xsl:variable name="max_nb_of_chars_for_title_season">40</xsl:variable>
		<xsl:variable name="max_nb_of_chars_for_set_title">36</xsl:variable>
		
<html>
	<head>

				<link rel="StyleSheet" type="text/css" href="exportindex_item_pch.css"/>
				<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
				<title>MovieJukebox</title>


<script>

var genreim=[
  ",",
  ",",
  <xsl:for-each select="library/category[@name='Other']/index">
    "<xsl:value-of select="@name" />,<xsl:value-of select="." />.html",
  </xsl:for-each>
  <xsl:for-each select="library/category[@name='Genres']/index">
    "<xsl:value-of select="@name" />,<xsl:value-of select="." />.html",
  </xsl:for-each>
  ",",
  ","
];

var genrecnt = 1;
var flag = 1;			


<xsl:choose>

<!-- testing for these genres is not necessary since they fall under 'otherwise' section -->
  <xsl:when test="//index[@current='true']/@name = 'All'">flag = 1</xsl:when>
  <xsl:when test="//index[@current='true']/@name = 'HD'">flag = 1</xsl:when>
  <xsl:when test="//index[@current='true']/@name = 'TV Shows'">flag = 1</xsl:when>
  <xsl:when test="//index[@current='true']/@name = 'Movies'">flag = 1</xsl:when>
  <xsl:when test="//index[@current='true']/@name =' Extras'">flag = 1</xsl:when>
  <xsl:when test="//index[@current='true']/@name = 'New'">flag = 1</xsl:when>
  <xsl:when test="//index[@current='true']/@name = 'New-Movies'">flag = 1</xsl:when>
  <xsl:when test="//index[@current='true']/@name = 'New-TV'">flag = 1</xsl:when>
  <xsl:when test="//index[@current='true']/@name = 'Action'">flag = 1</xsl:when>
  <xsl:when test="//index[@current='true']/@name = 'Comedy'">flag = 1</xsl:when>
  <xsl:when test="//index[@current='true']/@name = 'Children'">flag = 1</xsl:when>
  <xsl:when test="//index[@current='true']/@name = 'Animation'">flag = 1</xsl:when>
  <xsl:when test="//index[@current='true']/@name = 'Documentary'">flag = 1</xsl:when>
  <xsl:when test="//index[@current='true']/@name = 'Drama'">flag = 1</xsl:when>
  <xsl:when test="//index[@current='true']/@name = 'Fantasy'">flag = 1</xsl:when>
  <xsl:when test="//index[@current='true']/@name = 'Family'">flag = 1</xsl:when>
  <xsl:when test="//index[@current='true']/@name = 'Other'">flag = 1</xsl:when>
  <xsl:when test="//index[@current='true']/@name = 'Sci-Fi'">flag = 1</xsl:when>
  <xsl:when test="//index[@current='true']/@name = 'Thriller'">flag = 1</xsl:when>
  <xsl:when test="//index[@current='true']/@name = 'Reality-TV'">flag = 1</xsl:when>
  <xsl:when test="//index[@current='true']/@name = 'Horror'">flag = 1</xsl:when>
  <xsl:when test="//index[@current='true']/@name = 'Music'">flag = 1</xsl:when>
  <xsl:when test="//index[@current='true']/@name = 'Top250'">flag = 1</xsl:when>
  <xsl:when test="//index[@current='true']/@name = 'HD-1080'">flag = 1</xsl:when>
  <xsl:when test="//index[@current='true']/@name = 'HD-720'">flag = 1</xsl:when>
  <xsl:when test="//index[@current='true']/@name = 'Romance'">flag = 1</xsl:when>
  <xsl:otherwise>flag = 1</xsl:otherwise>
</xsl:choose>

// moves the genres left and right
function genrelist(x)
{
  var glen = genreim.length
  var glast = glen - 2
  var genreItems, prevgenre, nextgenre, twoprevgenre, twonextgenre

  if (genrecnt+x == glast) { genrecnt = 2 }
  else if (genrecnt+x == 1) { genrecnt = glast - 1 }
  else { genrecnt = genrecnt+x }

  genreItems = genreim[genrecnt].split(",")

  document.getElementById('change').firstChild.nodeValue = genreItems[0];
  document.getElementById('change').attributes[0].nodeValue = genreItems[1];

}



//
function upDown(x)
{
  genrelist(x)
  return false
}

//
function findItem( list, item )
{
  var result = -1;

  for ( var i = 0 ; i != list.length ; i++ )
  {
    if (list[i] == item) { return i; }
  }
  return result;
}

//
function initpage()
{
  var inittest = -1

    inittest = findItem( genreim,
      <xsl:choose>
        <xsl:when test="//index[@current='true']/@name = 'All'">"All,Other_All_1.html"</xsl:when>
        <xsl:when test="//index[@current='true']/@name = 'HD'">"HD,Other_HD_1.html"</xsl:when>
        <xsl:when test="//index[@current='true']/@name = 'TV Shows'">"TV Shows,Other_TV Shows_1.html"</xsl:when>
        <xsl:when test="//index[@current='true']/@name = 'Movies'">"Movies,Other_Movies_1.html"</xsl:when>
        <xsl:when test="//index[@current='true']/@name = 'Extras'">"Extras,Other_Extras_1.html"</xsl:when>
        <xsl:when test="//index[@current='true']/@name = 'New'">"New,Other_New_1.html"</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'New-Movies'">"New-Movies,Other_New-Movies_1.html"</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'New-TV'">"New-TV,Other_New-TV_1.html"</xsl:when>
        <xsl:when test="//index[@current='true']/@name = 'Action'">"Action,Genres_Action_1.html"</xsl:when>
        <xsl:when test="//index[@current='true']/@name = 'Comedy'">"Comedy,Genres_Comedy_1.html"</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'Children'">"Children,Genres_Children_1.html"</xsl:when>
        <xsl:when test="//index[@current='true']/@name = 'Animation'">"Animation,Genres_Animation_1.html"</xsl:when>
        <xsl:when test="//index[@current='true']/@name = 'Documentary'">"Documentary,Genres_Documentary_1.html"</xsl:when>
        <xsl:when test="//index[@current='true']/@name = 'Drama'">"Drama,Genres_Drama_1.html"</xsl:when>
        <xsl:when test="//index[@current='true']/@name = 'Fantasy'">"Fantasy,Genres_Fantasy_1.html"</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'Family'">"Family,Genres_Family_1.html"</xsl:when>
        <xsl:when test="//index[@current='true']/@name = 'Other'">"Other,Genres_Other_1.html"</xsl:when>
        <xsl:when test="//index[@current='true']/@name = 'Sci-Fi'">"Sci-Fi,Genres_Sci-Fi_1.html"</xsl:when>
        <xsl:when test="//index[@current='true']/@name = 'Thriller'">"Thriller,Genres_Thriller_1.html"</xsl:when>
        <xsl:when test="//index[@current='true']/@name = 'Reality-TV'">"Reality-TV,Genres_Reality-TV_1.html"</xsl:when>
        <xsl:when test="//index[@current='true']/@name = 'Horror'">"Horror,Genres_Horror_1.html"</xsl:when>
        <xsl:when test="//index[@current='true']/@name = 'Family'">"Family,Genres_Family_1.html"</xsl:when>
        <xsl:when test="//index[@current='true']/@name = 'Music'">"Music,Genres_Music_1.html"</xsl:when>
        <xsl:when test="//index[@current='true']/@name = 'Top250'">"Top250,Other_Top250_1.html"</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'HD-1080'">"HD-1080,Other_HD-1080_1.html"</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'HD-720'">"HD-720,Other_HD-720_1.html"</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'Romance'">"Romance,Genres_Romance_1.html"</xsl:when>
        <xsl:otherwise>"All,Other_All_1.html"</xsl:otherwise>
      </xsl:choose>
    )

    genrecnt = inittest
    var genreItems = genreim[genrecnt].split(",")

    document.getElementById('change').firstChild.nodeValue = genreItems[0];
    document.getElementById('change').attributes[0].nodeValue = genreItems[1];

	<xsl:if test="$isSetIndex = 'false' or $UseSetTitleInTopBarOnSetIndexPages = 'false'">
	<xsl:for-each select="library/category[@name='Title']/index[@current='true']">
	var PageTitle = document.getElementById('Navbar').attributes[1].nodeValue;
	document.getElementById('Nav'+PageTitle).attributes[1].nodeValue = "navsel"
	</xsl:for-each>
	</xsl:if>
	
  return false
}

</script>
			
<!-- Show Title text -->
<script type="text/javascript">
var title = 1;
var result = null;

function show(x)
{
	if ( title == 1 )
	title = document.getElementById('title');
	title.firstChild.nodeValue = document.getElementById('title'+x).firstChild.nodeValue;

	result = document.getElementById('playid'+x);
	
	if(result != null)
	{
		document.getElementById('playid'+x).attributes[1].nodeValue = "play";
	}
	result = null;	
}

function hide(x)
{
	if ( title == 1 )
	title = document.getElementById('title');
	title.firstChild.nodeValue = " ";

	result = document.getElementById('playid'+x);
	
	if(result != null)
	{
		document.getElementById('playid'+x).attributes[1].nodeValue = "#";
	}
	result = null;		
}
</script>

	<style type="text/css">
	/* <![CDATA[ */
		div {
		  width: 2px;
		  height: 3px;
		  padding: .5em;
		}
		div#Thumbnail1 {
		  position: fixed;
		  visibility: visible;
		  top: 46px;
		  left: 27px;
		}
		div#HD_Tag1 {
		  position: fixed;
		  visibility: visible;
		  top: 55px;
		  left: 20px;
		}
		div#Rating_Tag1 {
		  position: fixed;
		  visibility: visible;
		  top: 143px;
		  left: 16px;
		}
		div#Flag_Tag1 {
		  position: fixed;
		  visibility: visible;
		  top: 135px;
		  left: 71px;
		}
		div#Box_Cover1 {
		  position: fixed;
		  visibility: visible;
		  border: 0;
		  top: 40px;
		  left: 12px;
		}
		div#Source_Tag1 {
		  position: fixed;
		  visibility: visible;
		  border: 0;
		  top: 130px;
		  left: 130px;
		}
		div#Watch_Tag1 {
		  position: fixed;
		  visibility: visible;
		  top: 46px;
		  left: 27px;
		}
	/* ]]> */
	</style>

	<style type="text/css">
	/* <![CDATA[ */
		div {
		  width: 2px;
		  height: 3px;
		  padding: .5em;
		}
		div#Thumbnail2 {
		  position: fixed;
		  visibility: visible;
		  top: 46px;
		  left: 175px;
		}
		div#HD_Tag2 {
		  position: fixed;
		  visibility: visible;
		  top: 55px;
		  left: 168px;
		}
		div#Rating_Tag2 {
		  position: fixed;
		  visibility: visible;
		  top: 143px;
		  left: 164px;
		}
		div#Flag_Tag2 {
		  position: fixed;
		  visibility: visible;
		  top: 135px;
		  left: 219px;
		}
		div#Box_Cover2 {
		  position: fixed;
		  visibility: visible;
		  border: 0;
		  top: 40px;
		  left: 160px;
		}
		div#Source_Tag2 {
		  position: fixed;
		  visibility: visible;
		  border: 0;
		  top: 130px;
		  left: 278px;
		}
		div#Watch_Tag2 {
		  position: fixed;
		  visibility: visible;
		  top: 46px;
		  left: 175px;
		}
	/* ]]> */
	</style>
	<style type="text/css">
	/* <![CDATA[ */
		div {
		  width: 2px;
		  height: 3px;
		  padding: .5em;
		}
		div#Thumbnail3 {
		  position: fixed;
		  visibility: visible;
		  top: 46px;
		  left: 323px;
		}
		div#HD_Tag3 {
		  position: fixed;
		  visibility: visible;
		  top: 55px;
		  left: 316px;
		}
		div#Rating_Tag3 {
		  position: fixed;
		  visibility: visible;
		  top: 143px;
		  left: 312px;
		}
		div#Flag_Tag3 {
		  position: fixed;
		  visibility: visible;
		  top: 135px;
		  left: 367px;
		}
		div#Box_Cover3 {
		  position: fixed;
		  visibility: visible;
		  border: 0;
		  top: 40px;
		  left: 308px;
		}
		div#Source_Tag3 {
		  position: fixed;
		  visibility: visible;
		  border: 0;
		  top: 130px;
		  left: 427px;
		}
		div#Watch_Tag3 {
		  position: fixed;
		  visibility: visible;
		  top: 46px;
		  left: 323px;
		}
	/* ]]> */
	</style> 
	<style type="text/css">
	/* <![CDATA[ */
		div {
		  width: 2px;
		  height: 3px;
		  padding: .5em;
		}
		div#Thumbnail4 {
		  position: fixed;
		  visibility: visible;
		  top: 46px;
		  left: 471px;
		}
		div#HD_Tag4 {
		  position: fixed;
		  visibility: visible;
		  top: 55px;
		  left: 464px;
		}
		div#Rating_Tag4 {
		  position: fixed;
		  visibility: visible;
		  top: 143px;
		  left: 460px;
		}
		div#Flag_Tag4 {
		  position: fixed;
		  visibility: visible;
		  top: 135px;
		  left: 515px;
		}
		div#Box_Cover4 {
		  position: fixed;
		  visibility: visible;
		  border: 0;
		  top: 40px;
		  left: 456px;
		}
		div#Source_Tag4 {
		  position: fixed;
		  visibility: visible;
		  border: 0;
		  top: 130px;
		  left: 574px;
		}
		div#Watch_Tag4 {
		  position: fixed;
		  visibility: visible;
		  top: 46px;
		  left: 471px;
		}
	/* ]]> */
	</style>
<!-- Second row -->
	<style type="text/css">
	/* <![CDATA[ */
		div {
		  width: 2px;
		  height: 3px;
		  padding: .5em;
		}
		div#Thumbnail5 {
		  position: fixed;
		  visibility: visible;
		  top: 218px;
		  left: 27px;
		}
		div#HD_Tag5 {
		  position: fixed;
		  visibility: visible;
		  top: 339px;
		  left: 20px;
		}
		div#Rating_Tag5 {
		  position: fixed;
		  visibility: visible;
		  top: 315px;
		  left: 16px;
		}
		div#Flag_Tag5 {
		  position: fixed;
		  visibility: visible;
		  top: 307px;
		  left: 71px;
		}
		div#Box_Cover5 {
		  position: fixed;
		  visibility: visible;
		  border: 0;
		  top: 212px;
		  left: 12px;
		}
		div#Source_Tag5 {
		  position: fixed;
		  visibility: visible;
		  border: 0;
		  top: 302px;
		  left: 130px;
		}
		div#Watch_Tag5 {
		  position: fixed;
		  visibility: visible;
		  top: 218px;
		  left: 27px;
		}
	/* ]]> */
	</style>
	<style type="text/css">
	/* <![CDATA[ */
		div {
		  width: 2px;
		  height: 3px;
		  padding: .5em;
		}
		div#Thumbnail6 {
		  position: fixed;
		  visibility: visible;
		  top: 218px;
		  left: 175px;
		}
		div#HD_Tag6 {
		  position: fixed;
		  visibility: visible;
		  top: 339px;
		  left: 288px;
		}
		div#Rating_Tag6 {
		  position: fixed;
		  visibility: visible;
		  top: 315px;
		  left: 164px;
		}
		div#Flag_Tag6 {
		  position: fixed;
		  visibility: visible;
		  top: 307px;
		  left: 219px;
		}
		div#Box_Cover6 {
		  position: fixed;
		  visibility: visible;
		  border: 0;
		  top: 212px;
		  left: 160px;
		}
		div#Source_Tag6 {
		  position: fixed;
		  visibility: visible;
		  border: 0;
		  top: 302px;
		  left: 278px;
		}
		div#Watch_Tag6 {
		  position: fixed;
		  visibility: visible;
		  top: 218px;
		  left: 175px;
		}
	/* ]]> */
	</style>
	<style type="text/css">
	/* <![CDATA[ */
		div {
		  width: 2px;
		  height: 3px;
		  padding: .5em;
		}
		div#Thumbnail7 {
		  position: fixed;
		  visibility: visible;
		  top: 218px;
		  left: 323px;
		}
		div#HD_Tag7 {
		  position: fixed;
		  visibility: visible;
		  top: 339px;
		  left: 556px;
		}
		div#Rating_Tag7 {
		  position: fixed;
		  visibility: visible;
		  top: 315px;
		  left: 312px;
		}
		div#Flag_Tag7 {
		  position: fixed;
		  visibility: visible;
		  top: 307px;
		  left: 367px;
		}
		div#Box_Cover7 {
		  position: fixed;
		  visibility: visible;
		  border: 0;
		  top: 212px;
		  left: 308px;
		}
		div#Source_Tag7 {
		  position: fixed;
		  visibility: visible;
		  border: 0;
		  top: 302px;
		  left: 426px;
		}
		div#Watch_Tag7 {
		  position: fixed;
		  visibility: visible;
		  top: 218px;
		  left: 323px;
		}
	/* ]]> */
	</style> 
	<style type="text/css">
	/* <![CDATA[ */
		div {
		  width: 2px;
		  height: 3px;
		  padding: .5em;
		}
		div#Thumbnail8 {
		  position: fixed;
		  visibility: visible;
		  top: 218px;
		  left: 471px;
		}
		div#HD_Tag8 {
		  position: fixed;
		  visibility: visible;
		  top: 339px;
		  left: 472px;
		}
		div#Rating_Tag8 {
		  position: fixed;
		  visibility: visible;
		  top: 315px;
		  left: 460px;
		}
		div#Flag_Tag8 {
		  position: fixed;
		  visibility: visible;
		  top: 307px;
		  left: 515px;
		}
		div#Box_Cover8 {
		  position: fixed;
		  visibility: visible;
		  border: 0;
		  top: 212px;
		  left: 456px;
		}
		div#Source_Tag8 {
		  position: fixed;
		  visibility: visible;
		  border: 0;
		  top: 302px;
		  left: 574px;
		}
		div#Watch_Tag8 {
		  position: fixed;
		  visibility: visible;
		  top: 218px;
		  left: 471px;
		}
	/* ]]> */
	</style>  	  	
	</head>
			<body bgproperties="fixed" FOCUSTEXT="#FFCC33" focuscolor="transparent" onloadset="1" onload="initpage()">
			<xsl:attribute name="background"><xsl:value-of select="$BackgroundImageFile"/></xsl:attribute>

				<table class="main" align="center" border="0" cellpadding="0" cellspacing="0" width="616" >

					<tr align="left"> 
						<td colspan="3"> 
							<table cellpadding="0" cellspacing="0" height="30">
							<!-- insert -->
								<!-- new category selection -->
								<td>
									<table cellpadding="0" cellspacing="0">
										<!-- Left arrow button -->
										<td align="center" valign="center" class="arrows" >
											<a TVID="GREEN" href="#" onclick="return upDown(-1)" name="left" onkeyrightset="middle" id="up" ><img src="{$left-arrow-unselected}" onfocussrc="{$left-arrow-selected}"/></a>
										</td>
										
									</table>
								</td>
								<td>
									<table  cellpadding="0" cellspacing="0" background="pictures/Index/category_back.png" width="120" height="30">
										<!-- Category text -->
										<td align="center" class="bigsort" height="30">
											<a href="Other_All_1.html" class="mainsorting" name="middle" onkeyleftset="left" onkeyrightset="right" TVID="clear" id="change">All</a>
										</td>
										
									</table>
								</td>
								<td>
									<table cellpadding="0" cellspacing="0">
										<!-- Right arrow button -->
										<td align="center" valign="center" class="arrows" >
											<a TVID="YELLOW" href="#" onclick="return upDown(1)" name="right" onkeyleftset="middle" id="down" ><img src="{$right-arrow-unselected}" onfocussrc="{$right-arrow-selected}"/></a>
										</td>
										
									</table>
								</td> 
								 
								 <!-- new category selection end -->
								 
								<td>
									<table cellpadding="0" cellspacing="0">
										<!-- Home button -->
										<td align="right" valign="center"> 
											<a name="home" tvid="home"><xsl:attribute name="href"><xsl:value-of select="$HomePgLocation"/></xsl:attribute>
												<img src="pictures/Index/home.png" width="23" height="30" onfocussrc="pictures/Index/home_select.png" />
											</a>
										</td>	
									</table>
								</td>
								
								<td>
									<table   cellpadding="0" cellspacing="0" background="pictures/Index/letter_back.png" height="30" width="427">
										<!-- Index letters -->
										<td width="427" height="30" align="center" valign="center">
											<xsl:choose>
												<xsl:when test="$isSetIndex = 'true' and $UseSetTitleInTopBarOnSetIndexPages = 'true'"><a id="settitle"><xsl:value-of select="substring($TitleOfSet, 1, $max_nb_of_chars_for_set_title)"/></a></xsl:when>
												<xsl:otherwise>
													<xsl:for-each select="library/category[@name='Title']/index">
														<xsl:if test="position()>1"><xsl:text>&#160;</xsl:text></xsl:if>
														<a> <!-- class="index" -->
															<xsl:attribute name="id">Nav<xsl:value-of select="@name"/></xsl:attribute>
															<xsl:attribute name="class">nav</xsl:attribute>
															<xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute>
															<xsl:attribute name="name"><xsl:value-of select="@name" /></xsl:attribute>
															<xsl:value-of select="@name" />
														</a>
													</xsl:for-each>
												</xsl:otherwise>
											</xsl:choose>

										
										</td>
										<!-- Index letters end -->
									</table>
								</td>
								
								
							</table>
						</td>

					</tr>
					<!-- head end -->
					
					<tr align="center">
						<td align="left" height="100%">
							<!-- Left arrows selection -->
							 <xsl:choose>
								<xsl:when test="$previousIndex = $nextIndex and $firstIndex = $nextIndex and $firstIndex = $previousIndex and $lastIdx = $previousIndex and $lastIdx = $nextIndex and $lastIdx = $firstIndex">
									<img src="pictures/Index/nav_arrow_dummy.png" width="12" />
								</xsl:when>
								<xsl:otherwise> 
									<a name="arrow_left_se" TVID="RED"> <!-- PREV (old PGUP) tvid="PGUP" -->
										<xsl:attribute name="href">
											<xsl:value-of select="//index[@current='true']/@previous" />.html</xsl:attribute><xsl:attribute name="onkeyleftset">pgltload</xsl:attribute>
										<img src="pictures/Index/nav_arrow_left.png" width="12" onfocussrc="pictures/Index/nav_arrow_left_select.png" />
									</a>
								</xsl:otherwise>
							</xsl:choose> 
						</td>
					
						<td>
							<!-- Movie covers -->	
							<table class="movies" border="0" align="left" cellpadding="0" cellspacing="0">
								<xsl:for-each select="library/movies/movie[position() mod $nbCols = 1]">
									<tr>
										<xsl:apply-templates select=".|following-sibling::movie[position() &lt; $nbCols]">
											<xsl:with-param name="gap" select="(position() - 1) * $nbCols" />
											<xsl:with-param name="currentIndex" select="$currentIndex" />
											<xsl:with-param name="lastIndex" select="$lastIndex" />
											<xsl:with-param name="lastGap" select="($nbLines - 1) * $nbCols" />
											<xsl:with-param name="CoverAreaWidth" select="$CoverAreaWidth" />
											<xsl:with-param name="CoverAreaHeight" select="$CoverAreaHeight" />
										</xsl:apply-templates>			
									</tr>
								</xsl:for-each>

								<xsl:choose>
									<xsl:when test="$Use18CoversPerPage = 'false'">
										<!-- gap correction for less then 4 entries ( 8 Covers ) -->
										<xsl:if test="$nbMovies &lt; $nbCols+1" >
											<tr>  
												<td width="{$CoverAreaWidth}" height="{$CoverAreaHeight}">
													
												</td>
												<td width="{$CoverAreaWidth}" height="{$CoverAreaHeight}">
												
												</td>
												<td width="{$CoverAreaWidth}" height="{$CoverAreaHeight}">
												
												</td>
												<td width="{$CoverAreaWidth}" height="{$CoverAreaHeight}">
												
												</td>  
											</tr>
										</xsl:if>
										<!-- gap correction end -->
									</xsl:when>
									<xsl:otherwise>
										<!-- gap correction for (18 covers) -->
										<!-- gap correction for less then 8 entries -->
										<xsl:if test="$nbMovies &lt; 7" >
											<tr>
												<td width="{$CoverAreaWidth}" height="{$CoverAreaHeight}">
												
												</td>
												<td width="{$CoverAreaWidth}" height="{$CoverAreaHeight}">
												
												</td>
												<td width="{$CoverAreaWidth}" height="{$CoverAreaHeight}">
												
												</td>
												<td width="{$CoverAreaWidth}" height="{$CoverAreaHeight}">
												
												</td>  
												<td width="{$CoverAreaWidth}" height="{$CoverAreaHeight}">
												
												</td>  
												<td width="{$CoverAreaWidth}" height="{$CoverAreaHeight}">
												
												</td>  
											</tr>
											<tr>
												<td width="{$CoverAreaWidth}" height="{$CoverAreaHeight}">
												
												</td>
												<td width="{$CoverAreaWidth}" height="{$CoverAreaHeight}">
												
												</td>
												<td width="{$CoverAreaWidth}" height="{$CoverAreaHeight}">
													
												</td>
												<td width="{$CoverAreaWidth}" height="{$CoverAreaHeight}">
												
												</td>  
												<td width="{$CoverAreaWidth}" height="{$CoverAreaHeight}">
													
												</td>  
												<td width="{$CoverAreaWidth}" height="{$CoverAreaHeight}">
													
												</td>  
											</tr>
										</xsl:if>
										<!-- gap correction end -->
										
										<!-- gap correction for less then 14 entries -->
										<xsl:if test="$nbMovies &lt; 13 and $nbMovies &gt; 6" >
											<tr>
												<td width="{$CoverAreaWidth}" height="{$CoverAreaHeight}">
													<!-- <img src="pictures/Index/poster_small_dummy.png" /> -->
												</td>
												<td width="{$CoverAreaWidth}" height="{$CoverAreaHeight}">
													
												</td>
												<td width="{$CoverAreaWidth}" height="{$CoverAreaHeight}">
													
												</td>
												<td width="{$CoverAreaWidth}" height="{$CoverAreaHeight}">
													
												</td>  
												<td width="{$CoverAreaWidth}" height="{$CoverAreaHeight}">
													
												</td>  
												<td width="{$CoverAreaWidth}" height="{$CoverAreaHeight}">
													
												</td>  
											</tr>
										</xsl:if>
										<!-- gap correction end (18 covers ) -->
									</xsl:otherwise>
								</xsl:choose>
								
								
							</table>
							<!-- Movie covers end end -->	
						</td>
							
							<td align="right" >
								<!-- Right arrows selection -->
								<xsl:choose> 
									<xsl:when test="$previousIndex = $nextIndex and $firstIndex = $nextIndex and $firstIndex = $previousIndex and $lastIdx = $previousIndex and $lastIdx = $nextIndex and $lastIdx = $firstIndex">
										<img src="pictures/Index/nav_arrow_dummy.png" width="12"/>
									</xsl:when>
									<xsl:otherwise> 
										<a name="arrow_right_se" TVID="BLUE"> <!-- NEXT (old PGDN) tvid="PGDN" -->
											<xsl:attribute name="href">
												<xsl:value-of select="//index[@current='true']/@next" />.html</xsl:attribute><xsl:attribute name="onkeyrightset">pgrtload</xsl:attribute>
											<img src="pictures/Index/nav_arrow_right.png" width="12" onfocussrc="pictures/Index/nav_arrow_right_select.png" />
										</a>
									</xsl:otherwise>			
								</xsl:choose>							
							</td>
							
						</tr>
						
				<tr align="left"> 
					<td colspan="3"> 
						<table cellpadding="0" cellspacing="0" height="30">
							<td align="left" >
								<!-- page counter -->
								<table cellpadding="0" cellspacing="0" background="pictures/Index/number_back.png" >

										<!-- Number count of pages -->
										<td align="center" valign="center"  height="30" width="75">  
											<div class="counter">
												<xsl:value-of select="$currentIndex"/>/<xsl:value-of select="$lastIndex" />
											</div>
										</td> 
										<!-- Number count of pages end -->	
								</table>

							</td>
							<!-- Spacer -->	
							<!-- <td width="40" > </td> -->
							
							<!-- Name of title bar -->	
							<td align="right">							
								<table cellpadding="0" cellspacing="0" background="pictures/Index/list_bar.png" >
									<tr>
										<td id="title" align="center" height="30" width="466">&#160;</td>
									</tr>
								</table>
							</td>
							<td align="left">
								<table cellpadding="0" cellspacing="0" background="pictures/Index/number_back.png">
									<td align="center" valign="center" height="30" width="75">
										<div class="counter">
											<xsl:if test="(contains(upper-case(/library/movies/movie/files/file/fileURL),'HARD_DISK')) = 1"><a onkeydownset="pgdnload" class="counter"><xsl:attribute name="href">http://localhost.drives:8883/HARD_DISK/?home=1</xsl:attribute>HDD</a></xsl:if>
											<xsl:if test="(contains(upper-case(/library/movies/movie/files/file/fileURL),'SATA_DISK_A1')) = 1"><a onkeydownset="pgdnload" class="counter"><xsl:attribute name="href">http://localhost.drives:8883/SATA_DISK_A1/?home=1</xsl:attribute>HDD A1</a></xsl:if>
											<xsl:if test="(contains(upper-case(/library/movies/movie/files/file/fileURL),'SATA_DISK_B1')) = 1"><a onkeydownset="pgdnload" class="counter"><xsl:attribute name="href">http://localhost.drives:8883/SATA_DISK_B1/?home=1</xsl:attribute>HDD B1</a></xsl:if>
											<xsl:if test="(contains(upper-case(/library/movies/movie/files/file/fileURL),'USB_DRIVE_A-1')) = 1"><a onkeydownset="pgdnload" class="counter"><xsl:attribute name="href">http://localhost.drives:8883/USB_DRIVE_A-1/?home=1</xsl:attribute>USB A</a></xsl:if>
											<xsl:if test="(contains(upper-case(/library/movies/movie/files/file/fileURL),'USB_DRIVE_B-1')) = 1"><a onkeydownset="pgdnload" class="counter"><xsl:attribute name="href">http://localhost.drives:8883/USB_DRIVE_B-1/?home=1</xsl:attribute>USB B</a></xsl:if>
											<xsl:if test="(contains(upper-case(/library/movies/movie/files/file/fileURL),'NETWORK_SHARE')) = 1"><a onkeydownset="pgdnload" class="counter"><xsl:attribute name="href">http://localhost.drives:8883/NETWORK_SHARE/?home=1</xsl:attribute>NWS</a></xsl:if>
											<xsl:if test="(contains(upper-case(/library/movies/movie/files/file/fileURL),'SATA_DISK')) = 1"><a onkeydownset="pgdnload" class="counter"><xsl:attribute name="href">http://localhost.drives:8883/SATA_DISK/?home=1</xsl:attribute>HDD</a></xsl:if>																				
										</div>
									</td>
								</table>
							</td>							
							
						</table>
					</td>
				</tr>
				</table>
				
				<!-- <xsl:value-of select="substring(title, 1, $max_nb_of_chars_for_title)"/> -->
				<xsl:for-each select="library/movies/movie">
					<a class="title">
						<xsl:attribute name="id">title<xsl:value-of select="position()"/></xsl:attribute>
						<xsl:choose>
							<xsl:when test="season > 0"><xsl:value-of select="substring(title, 1, $max_nb_of_chars_for_title_season)"/> Season <xsl:value-of select="season"/></xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="substring(title, 1, $max_nb_of_chars_for_title)"/>
							</xsl:otherwise>
							<!-- <xsl:value-of select="title"/>
							<xsl:if test="season > 0"> Season <xsl:value-of select="season"/>
							</xsl:if> -->
						</xsl:choose>
					</a>
				</xsl:for-each>
				
				<!-- Navigation -->
				<a class="title" TVID="HOME">
					<xsl:attribute name="href">
						<xsl:value-of select="$mjb.homePage"/>
					</xsl:attribute>Home</a>
				
				<!-- Down select load -->
				<a class="title" name="pgdnload" onfocusload="">
					<xsl:choose> 
						<xsl:when test="$previousIndex = $nextIndex and $firstIndex = $nextIndex and $firstIndex = $previousIndex and $lastIdx = $previousIndex and $lastIdx = $nextIndex and $lastIdx = $firstIndex">
							<xsl:attribute name="href">#1</xsl:attribute><xsl:attribute name="onfocus">show(1)</xsl:attribute>
						</xsl:when>
						<xsl:otherwise><xsl:attribute name="href"><xsl:value-of select="//index[@current='true']/@next" />.html</xsl:attribute></xsl:otherwise>
					</xsl:choose>
				</a>

				<!-- Right select load -->
				<xsl:choose> 
					<xsl:when test="$previousIndex = $nextIndex and $firstIndex = $nextIndex and $firstIndex = $previousIndex and $lastIdx = $previousIndex and $lastIdx = $nextIndex and $lastIdx = $firstIndex"></xsl:when>
					<xsl:otherwise>
					<a class="title" name="pgrtload" onfocusload=""><xsl:attribute name="href"><xsl:value-of select="//index[@current='true']/@next" />.html</xsl:attribute></a></xsl:otherwise>
				</xsl:choose>

				<!-- Left select load -->
				<xsl:choose> 
					<xsl:when test="$previousIndex = $nextIndex and $firstIndex = $nextIndex and $firstIndex = $previousIndex and $lastIdx = $previousIndex and $lastIdx = $nextIndex and $lastIdx = $firstIndex"></xsl:when>
					<xsl:otherwise>
					<a class="title" name="pgltload" onfocusload=""><xsl:attribute name="href"><xsl:value-of select="//index[@current='true']/@previous" />.html</xsl:attribute></a></xsl:otherwise>
				</xsl:choose>				
												
		<!--	<a class="title" TVID="RED">
					<xsl:attribute name="href">#arrow_left_se</xsl:attribute>
				</a>
				<a class="title" TVID="BLUE">
					<xsl:attribute name="href">#arrow_right_se</xsl:attribute>
				</a>
				<a class="title" TVID="GREEN">
					<xsl:attribute name="href">#left</xsl:attribute>
				</a>
				<a class="title" TVID="YELLOW">
					<xsl:attribute name="href">#right</xsl:attribute>
				</a> -->
				<a tvid="INFO" href="Index_Info.html"/>
				<!-- <a tvid="clear" href="#middle"/> -->
				
				<a name="2PageJumpUp" tvid="PGUP"> 
					<xsl:choose>
						<xsl:when test="$lastIndex &lt;= $nb_of_page_jumps"><xsl:attribute name="href">#1</xsl:attribute><xsl:attribute name="onfocus">show(1)</xsl:attribute></xsl:when>
						<xsl:otherwise>
							<xsl:choose>
								<xsl:when test="$currentIndex + $nb_of_page_jumps &lt;= $lastIndex">
									<xsl:attribute name="href"><xsl:value-of select="//category[@current='true']/@name"/>_<xsl:value-of select="//index[@current='true']/@name"/>_<xsl:value-of select="$currentIndex + $nb_of_page_jumps"/>.html</xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="href"><xsl:value-of select="//category[@current='true']/@name"/>_<xsl:value-of select="//index[@current='true']/@name"/>_<xsl:value-of select="abs($lastIndex - $currentIndex - $nb_of_page_jumps)"/>.html</xsl:attribute>
									<!-- <xsl:attribute name="href"><xsl:value-of select="//index[@current='true']/@first" />.html</xsl:attribute>	-->					
								</xsl:otherwise>
							</xsl:choose>
						</xsl:otherwise>
					</xsl:choose>
				</a>

				
				<a name="2PageJumpDown" tvid="PGDN">
					<xsl:choose>
						<xsl:when test="$lastIndex &lt;= $nb_of_page_jumps"><xsl:attribute name="href">#1</xsl:attribute><xsl:attribute name="onfocus">show(1)</xsl:attribute></xsl:when>
						<xsl:otherwise>
							<xsl:choose>
								<xsl:when test="$currentIndex - $nb_of_page_jumps &lt;= 0"> 
									<xsl:attribute name="href"><xsl:value-of select="//category[@current='true']/@name"/>_<xsl:value-of select="//index[@current='true']/@name"/>_<xsl:value-of select="($lastIndex + $currentIndex) - $nb_of_page_jumps"/>.html</xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<!-- <xsl:attribute name="href"><xsl:value-of select="//index[@current='true']/@last" />.html</xsl:attribute> -->
									<xsl:attribute name="href"><xsl:value-of select="//category[@current='true']/@name"/>_<xsl:value-of select="//index[@current='true']/@name"/>_<xsl:value-of select="$currentIndex - $nb_of_page_jumps"/>.html</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:otherwise>
					</xsl:choose>
				</a>				
			
				<xsl:choose>
					<xsl:when test="$nTrailer = 'true'"><a tvid="TAB" href="Other_Extras_1.html"/></xsl:when>
					<xsl:otherwise><a tvid="TAB" href="Other_All_1.html"/></xsl:otherwise>
				</xsl:choose>
				
				<a class="title" TVID="REPEAT">
					<xsl:if test="(contains(upper-case(/library/movies/movie/files/file/fileURL),'HARD_DISK')) = 1"><xsl:attribute name="href">http://localhost.drives:8883/HARD_DISK/?home=1</xsl:attribute></xsl:if>
					<xsl:if test="(contains(upper-case(/library/movies/movie/files/file/fileURL),'SATA_DISK_A1')) = 1"><xsl:attribute name="href">http://localhost.drives:8883/SATA_DISK_A1/?home=1</xsl:attribute></xsl:if>
					<xsl:if test="(contains(upper-case(/library/movies/movie/files/file/fileURL),'SATA_DISK_B1')) = 1"><xsl:attribute name="href">http://localhost.drives:8883/SATA_DISK_B1/?home=1</xsl:attribute></xsl:if>
					<xsl:if test="(contains(upper-case(/library/movies/movie/files/file/fileURL),'USB_DRIVE_A-1')) = 1"><xsl:attribute name="href">http://localhost.drives:8883/USB_DRIVE_A-1/?home=1</xsl:attribute></xsl:if>
					<xsl:if test="(contains(upper-case(/library/movies/movie/files/file/fileURL),'USB_DRIVE_B-1')) = 1"><xsl:attribute name="href">http://localhost.drives:8883/USB_DRIVE_B-1/?home=1</xsl:attribute></xsl:if>
					<xsl:if test="(contains(upper-case(/library/movies/movie/files/file/fileURL),'SATA_DISK')) = 1"><xsl:attribute name="href">http://localhost.drives:8883/SATA_DISK/?home=1</xsl:attribute></xsl:if>
					<xsl:if test="(contains(upper-case(/library/movies/movie/files/file/fileURL),'NETWORK_SHARE')) = 1"><xsl:attribute name="href">http://localhost.drives:8883/NETWORK_SHARE/?home=1</xsl:attribute></xsl:if>
				</a>

				<xsl:if test="$isSetIndex = 'false' or $UseSetTitleInTopBarOnSetIndexPages = 'false'">							
					<xsl:for-each select="library/category[@name='Title']/index">
					  <xsl:choose>
						<xsl:when test="@name = '09'"><a tvid="111"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'A'"><a tvid="22"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'B'"><a tvid="222"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'C'"><a tvid="2222"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'D'"><a tvid="33"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'E'"><a tvid="333"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'F'"><a tvid="3333"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'G'"><a tvid="44"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'H'"><a tvid="444"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'I'"><a tvid="4444"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'J'"><a tvid="55"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'K'"><a tvid="555"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'L'"><a tvid="5555"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'M'"><a tvid="66"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'N'"><a tvid="666"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'O'"><a tvid="6666"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'P'"><a tvid="77"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'Q'"><a tvid="777"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'R'"><a tvid="7777"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'S'"><a tvid="77777"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'T'"><a tvid="88"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'U'"><a tvid="888"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'V'"><a tvid="8888"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'W'"><a tvid="99"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'X'"><a tvid="999"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'Y'"><a tvid="9999"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:when test="@name = 'Z'"><a tvid="99999"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
						<xsl:otherwise><a href="blank" tvid="blank" /></xsl:otherwise>
					  </xsl:choose>
					</xsl:for-each>
				</xsl:if>

				<xsl:for-each select="library/category[@name='Other']/index">
				  <xsl:choose>
					<xsl:when test="@name = 'All'"><a tvid="255"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
					<xsl:when test="@name = 'HD'"><a tvid="43"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
					<xsl:when test="@name = 'TV Shows'"><a tvid="887"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
					<xsl:when test="@name = 'Movies'"><a tvid="668"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
					<xsl:when test="@name = 'Extras'"><a tvid="398"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
					<xsl:when test="@name = 'New'"><a tvid="639"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
					<xsl:when test="@name = 'New-TV'"><a tvid="6398"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
					<xsl:when test="@name = 'New-Movies'"><a tvid="6396"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>		
					<xsl:when test="@name = 'Top250'"><a tvid="867"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
					<xsl:when test="@name = 'HD-1080'"><a tvid="108"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
					<xsl:when test="@name = 'HD-720'"><a tvid="720"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
					<xsl:otherwise><a href="blank" tvid="blank" /></xsl:otherwise>
				  </xsl:choose>
				</xsl:for-each>	
				
				<xsl:for-each select="library/category[@name='Genres']/index">
				  <xsl:choose>
					<xsl:when test="@name = 'Action'"><a tvid="228"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
					<xsl:when test="@name = 'Comedy'"><a tvid="266"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
					<xsl:when test="@name = 'Children'"><a tvid="244"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
					<xsl:when test="@name = 'Animation'"><a tvid="264"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
					<xsl:when test="@name = 'Documentary'"><a tvid="362"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
					<xsl:when test="@name = 'Drama'"><a tvid="372"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
					<xsl:when test="@name = 'Fantasy'"><a tvid="326"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
					<xsl:when test="@name = 'Family'"><a tvid="3264"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
					<xsl:when test="@name = 'Other'"><a tvid="684"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
					<xsl:when test="@name = 'Sci-Fi'"><a tvid="724"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
					<xsl:when test="@name = 'Thriller'"><a tvid="847"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
					<xsl:when test="@name = 'Reality-TV'"><a tvid="732"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
					<xsl:when test="@name = 'Horror'"><a tvid="467"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
					<xsl:when test="@name = 'Music'"><a tvid="687"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
					<xsl:when test="@name = 'Romance'"><a tvid="766"><xsl:attribute name="href"><xsl:value-of select="." />.html</xsl:attribute></a></xsl:when>
					<xsl:otherwise><a href="blank" tvid="blank" /></xsl:otherwise>
				  </xsl:choose>
				</xsl:for-each>	
			
				<xsl:if test="$isSetIndex = 'false' or $UseSetTitleInTopBarOnSetIndexPages = 'false'">							
					<xsl:for-each select="library/category[@name='Title']/index[@current='true']">
						<a id="Navbar"><xsl:attribute name="pagename"><xsl:value-of select="@name"/></xsl:attribute></a>
					</xsl:for-each>
				</xsl:if>
	<!-- up down deaktivate
    <a name="pgdnload" onfocusload=""><xsl:attribute name="href"><xsl:value-of select="//index[@current='true']/@next" />.html</xsl:attribute></a>
    <a name="pgupload" onfocusload=""><xsl:attribute name="href"><xsl:value-of select="//index[@current='true']/@previous" />.html</xsl:attribute></a>
	-->
				
			</body>
		</html>
	</xsl:template>

	<!-- Movie template -->
	<xsl:template match="movie">
		<xsl:param name="gap" />
		<xsl:param name="currentIndex" />
		<xsl:param name="lastIndex" />
		<xsl:param name="lastGap" />
		<xsl:param name="CoverAreaWidth"/>
		<xsl:param name="CoverAreaHeight"/>
		<td width="{$CoverAreaWidth}" height="{$CoverAreaHeight}">
			<!-- Thumbnail image -->
		    <div><xsl:attribute name="id">Thumbnail<xsl:value-of select="position()+$gap"/></xsl:attribute>
				<img>
					<xsl:attribute name="src">
					<xsl:value-of select="thumbnail"/>
					</xsl:attribute>
				</img>
			</div>
			<div><xsl:attribute name="id">Flag_Tag<xsl:value-of select="position()+$gap"/></xsl:attribute>
				<xsl:call-template name="VersionBanner"/>			
			</div>
			<div><xsl:attribute name="id">Watch_Tag<xsl:value-of select="position()+$gap"/></xsl:attribute>
				<xsl:call-template name="WatchTagSelection"/>		
			</div>									
			<div><xsl:attribute name="id">Box_Cover<xsl:value-of select="position()+$gap"/></xsl:attribute> 
			<a>
				<xsl:attribute name="href">
					<xsl:value-of select="details"/>
				</xsl:attribute>
				<xsl:attribute name="TVID">
					<xsl:value-of select="position()+$gap"/>
				</xsl:attribute>
				<xsl:attribute name="name">
					<xsl:value-of select="position()+$gap"/>
				</xsl:attribute>
				<xsl:attribute name="onfocus">show(<xsl:value-of select="position()+$gap"/>)</xsl:attribute>
				<xsl:attribute name="onblur">hide(<xsl:value-of select="position()+$gap"/>)</xsl:attribute>
				<!-- <xsl:if test="$lastIndex != 1"> -->
					<!-- <xsl:if test="$gap=0 and $currentIndex != 1">
						<xsl:attribute name="onkeyupset">pgupload</xsl:attribute>
					</xsl:if>  <xsl:if test="$gap=$lastGap and $currentIndex != $lastIndex"> -->
					<xsl:if test="$gap=$lastGap">
						<xsl:attribute name="onkeydownset">pgdnload</xsl:attribute>
					</xsl:if>
				<!-- </xsl:if> -->
				<img><!-- <xsl:when test="//category[@current='true']/@name = 'Set'">true</xsl:when> -->
					<xsl:call-template name="Box_Selection"/>
					<xsl:attribute name="onfocussrc">pictures/Index/box_selection.png</xsl:attribute>
					<xsl:attribute name="onmouseover">show(<xsl:value-of select="position()+$gap"/>)</xsl:attribute>
					<xsl:attribute name="onmouseout">hide(<xsl:value-of select="position()+$gap"/>)</xsl:attribute>
				</img>
			</a>
			<!-- Direct Play link on index page -->
			<xsl:choose>
				<xsl:when test="count(files/file) > 1 or (season > 0 and count(files/file) > 1)">		
					<xsl:choose>
						<xsl:when test="contains(lower-case(baseFilename),'set_')"></xsl:when> 
						<xsl:when test="season !=-1 and ( contains(lower-case(container),'iso') or ends-with(lower-case(files/file/fileURL),'.iso') or contains(lower-case(container),'img') or ends-with(lower-case(files/file/fileURL),'.img') or ends-with(files/file/fileURL,'VIDEO_TS') ) = 1"></xsl:when>
						<xsl:when test="( contains(lower-case(container),'iso') or ends-with(lower-case(files/file/fileURL),'.iso') or contains(lower-case(container),'img') or ends-with(lower-case(files/file/fileURL),'.img') or ends-with(files/file/fileURL,'VIDEO_TS') or ends-with(files/file/fileURL,'/') ) = 1">
							<xsl:variable name="ext" select="lower-case(substring(files/file[1]/fileURL, string-length(files/file[1]/fileURL)-3, 4))" />
							<xsl:variable name="exclude" select="container = 'ISO' or  $ext = '.iso' 
							                                  or container = 'IMG' or  $ext = '.img' 
															  or substring(files/file[1]/fileURL,string-length(files/file[1]/fileURL)-7,8) = 'VIDEO_TS'
															  or substring(files/file[1]/fileURL,string-length(files/file[1]/fileURL),1) = '/'"/>		
							<a>
								<xsl:choose>
									<xsl:when test="$UsePlaylists = 'true' and $exclude = 0">
										<xsl:attribute name="href"><xsl:value-of select="baseFilename"/>.playlist.jsp</xsl:attribute>
										<xsl:attribute name="tvid">#</xsl:attribute>
										<xsl:attribute name="id">playid<xsl:value-of select="position()+$gap"/></xsl:attribute> 
										<xsl:attribute name="vod">playlist</xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="href"><xsl:value-of select="files/file[1]/fileURL" /></xsl:attribute>
										<xsl:attribute name="tvid">#</xsl:attribute>
										<xsl:attribute name="id">playid<xsl:value-of select="position()+$gap" /></xsl:attribute>

										<xsl:if test="$exclude = 1">
											<xsl:attribute name="zcd">2</xsl:attribute> 
										</xsl:if>
										<xsl:attribute name="vod"/>
									</xsl:otherwise>
								</xsl:choose>
							</a>
						</xsl:when>
						<xsl:otherwise>
						<a>								
							<xsl:attribute name="href">
							<xsl:choose>
								<xsl:when test="(contains(upper-case(baseFilename),'[PART')  = 1) and (contains(files/file/@title,'SPLST') = 1)"><xsl:value-of select="baseFilename"/>.playlist2.jsp</xsl:when> <!-- Insert here the SPLST feature -->
								<xsl:otherwise><xsl:value-of select="baseFilename"/>.playlist.jsp</xsl:otherwise>
							</xsl:choose>
							</xsl:attribute> 
							<xsl:attribute name="tvid">#</xsl:attribute>
							<xsl:attribute name="id">playid<xsl:value-of select="position()+$gap"/></xsl:attribute> 
							<xsl:attribute name="vod">playlist</xsl:attribute>
						</a>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					<xsl:variable name="ext" select="lower-case(substring(files/file[1]/fileURL, string-length(files/file[1]/fileURL)-3, 4))" />
					<xsl:variable name="exclude" select="container = 'ISO' or  $ext = '.iso' 
													  or container = 'IMG' or  $ext = '.img' 
													  or substring(files/file[1]/fileURL,string-length(files/file[1]/fileURL)-7,8) = 'VIDEO_TS'
													  or substring(files/file[1]/fileURL,string-length(files/file[1]/fileURL),1) = '/'"/>		
					<a>
						<xsl:choose>
							<xsl:when test="$UsePlaylists = 'true' and $exclude = 0">
								<xsl:attribute name="href"><xsl:value-of select="baseFilename"/>.playlist.jsp</xsl:attribute>
								<xsl:attribute name="tvid">#</xsl:attribute>
								<xsl:attribute name="id">playid<xsl:value-of select="position()+$gap"/></xsl:attribute> 
								<xsl:attribute name="vod">playlist</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="href"><xsl:value-of select="files/file[1]/fileURL" /></xsl:attribute>
								<xsl:attribute name="tvid">#</xsl:attribute>
								<xsl:attribute name="id">playid<xsl:value-of select="position()+$gap" /></xsl:attribute> 

								<xsl:if test="$exclude = 1">
									<xsl:attribute name="zcd">2</xsl:attribute> 
								</xsl:if>
								<xsl:attribute name="vod" />
							</xsl:otherwise>
						</xsl:choose>
					</a>
				</xsl:otherwise>
			</xsl:choose>
			<!-- END Direct Play link on index page -->
			</div>
			<div><xsl:attribute name="id">HD_Tag<xsl:value-of select="position()+$gap"/></xsl:attribute>
				<xsl:call-template name="HD_TagSelection"/>
			</div>			
			<div><xsl:attribute name="id">Rating_Tag<xsl:value-of select="position()+$gap"/></xsl:attribute>
				<xsl:call-template name="Rating_Selection"/>
			</div>
			<div><xsl:attribute name="id">Source_Tag<xsl:value-of select="position()+$gap"/></xsl:attribute>
				<xsl:call-template name="Source_TagSelection"/>
			</div>	
		</td>
	</xsl:template>
	
	<xsl:template name="HD_TagSelection">
		<xsl:if test="$EnableHD_TagOnBox = 'true'">

			<xsl:if test="contains(videoOutput,'480i')">
				<img>
					<xsl:attribute name="src">
					<xsl:value-of select="$FNameHDTag480i"/>
					</xsl:attribute>
				</img>
			</xsl:if>
			
			<xsl:if test="contains(videoOutput,'480p')">
				<img>
					<xsl:attribute name="src">
					<xsl:value-of select="$FNameHDTag480p"/>
					</xsl:attribute>
				</img>
			</xsl:if>			
			
			<xsl:if test="contains(videoOutput,'576i')">
				<img>
					<xsl:attribute name="src">
					<xsl:value-of select="$FNameHDTag576i"/>
					</xsl:attribute>
				</img>
			</xsl:if>
			
			<xsl:if test="contains(videoOutput,'576p')">
				<img>
					<xsl:attribute name="src">
					<xsl:value-of select="$FNameHDTag576p"/>
					</xsl:attribute>
				</img>
			</xsl:if>
			
			<xsl:if test="contains(videoOutput,'720i')">
				<img>
					<xsl:attribute name="src">
					<xsl:value-of select="$FNameHDTag720i"/>
					</xsl:attribute>
				</img>
			</xsl:if>
			
			<xsl:if test="contains(videoOutput,'720p')">
				<img>
					<xsl:attribute name="src">
					<xsl:value-of select="$FNameHDTag720p"/>
					</xsl:attribute>
				</img>
			</xsl:if>

			<xsl:if test="contains(videoOutput,'1080i')">
				<img>
					<xsl:attribute name="src">
					<xsl:value-of select="$FNameHDTag1080i"/>
					</xsl:attribute>
				</img>
			</xsl:if>
			
			<xsl:if test="contains(videoOutput,'1080p')">
				<img>
					<xsl:attribute name="src">
					<xsl:value-of select="$FNameHDTag1080p"/>
					</xsl:attribute>
				</img>
			</xsl:if>
			
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="Source_TagSelection">
		<xsl:if test="$EnableSourceTagOnDisc = 'true'">
			<xsl:choose>
				<!-- SD Tag -->
				<xsl:when test="contains(videoSource,'SDTV')"><img src="pictures/Index/box/SD.png"/></xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<!-- HD-DVD Tag -->
							<xsl:when test="contains(videoSource,'HDDVD')">
								<xsl:choose>
									<xsl:when test="$UseRedDiscForHDDVD = 'true'"><img src="pictures/Index/box/HD_DVD_RD.png"/></xsl:when>
									<xsl:otherwise><img src="pictures/Index/box/HD_DVD.png"/></xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise>
								<xsl:choose>
									<!-- DVD Tag -->
									<xsl:when test="contains(container,'DVD Video') or
													contains(videoSource,'DVDRip') or 
													contains(videoSource,'DVD')    or 
													contains(videoSource,'DVDSCR') or
													contains(videoSource,'DVD5')   or
													contains(videoSource,'DVD9') "><img src="pictures/Index/box/DVD.png"/>
									</xsl:when>	
									<xsl:otherwise>
										<xsl:choose>
											<!-- BluRay Tag -->
											<xsl:when test="contains(videoSource,'BluRay') or contains(container,'BDAV')">
												<xsl:choose>
													<xsl:when test="$UseBlueDiscForBluRay = 'true'"><img src="pictures/Index/box/BluRay_BD.png"/></xsl:when>
													<xsl:otherwise><img src="pictures/Index/box/BluRay.png"/></xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<xsl:otherwise>
												<xsl:choose>
													<!-- HD Tag -->
													<xsl:when test="contains(videoOutput,'720p')  or 
																	contains(videoOutput,'1080i') or 
																	contains(videoOutput,'1080p') or
																	contains(videoSource,'HDTV')"><img src="pictures/Index/box/HD.png"/>
													</xsl:when>
													<xsl:otherwise>
														<xsl:choose>
															<!-- SD Tag 2 -->
															<xsl:when test="contains(videoOutput,'NTSC') or contains(videoOutput,'PAL')"><img src="pictures/Index/box/SD.png"/></xsl:when>
															<xsl:otherwise>
															</xsl:otherwise>
														</xsl:choose>
													</xsl:otherwise>
												</xsl:choose>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	
	
	<xsl:template name="Box_Selection">
		<xsl:choose>
			<xsl:when test="@isSet = 'true'">
				<xsl:choose>
					<xsl:when test="$UseRedDiscForHDDVD = 'true' and contains(videoSource,'HDDVD')"> 
						<xsl:attribute name="src">pictures/Index/box/Box_Set_RD.png</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="$UseBlueDiscForBluRay = 'true' and (contains(videoSource,'BluRay') or contains(container,'BDAV'))"> 
								<xsl:attribute name="src">pictures/Index/box/Box_Set_BD.png</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="src">pictures/Index/box/Box_Set.png</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$UseRedDiscForHDDVD = 'true' and contains(videoSource,'HDDVD')"> 
						<xsl:attribute name="src">pictures/Index/box/Box_Single_RD.png</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="$UseBlueDiscForBluRay = 'true' and (contains(videoSource,'BluRay') or contains(container,'BDAV'))"> 
								<xsl:attribute name="src">pictures/Index/box/Box_Single_BD.png</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="src">pictures/Index/box/Box_Single.png</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="Rating_Selection">
		<xsl:if test="$EnableRatingTag = 'true'">
			<xsl:choose>
				<xsl:when test="@isSet = 'false' and rating != '-1'">
					<xsl:choose>
						<xsl:when test="rating &lt; 0"><img><xsl:attribute name="src">pictures/Index/box/rating_0.png</xsl:attribute></img></xsl:when>
						<xsl:otherwise>
							<img><xsl:attribute name="src">pictures/Index/box/rating_<xsl:value-of select="round(rating div 10)*10" />.png</xsl:attribute></img>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>

	<xsl:template name="VersionBanner">
		<xsl:if test="$EnableVersionBanner = 'true' and @isSet = 'false'">
			<xsl:choose>
				<xsl:when test="contains(baseFilename,'extended version')">
					<img><xsl:attribute name="src">pictures/Index/box/ExtendedVersion.png</xsl:attribute></img>
				</xsl:when>
				<xsl:otherwise>
					<xsl:choose>
						<xsl:when test="contains(baseFilename,'directors cut')">
							<img><xsl:attribute name="src">pictures/Index/box/DirectorsCut.png</xsl:attribute></img>
						</xsl:when>
						<xsl:otherwise>
							<xsl:choose>
								<xsl:when test="contains(baseFilename,'extended cut')">
									<img><xsl:attribute name="src">pictures/Index/box/ExtendedCut.png</xsl:attribute></img>
								</xsl:when>
								<xsl:otherwise>
									<xsl:choose>
										<xsl:when test="contains(baseFilename,'final cut')">
											<img><xsl:attribute name="src">pictures/Index/box/FinalCut.png</xsl:attribute></img>
										</xsl:when>
										<xsl:otherwise>
											<xsl:choose>
												<xsl:when test="contains(baseFilename,'remastered')">
													<img><xsl:attribute name="src">pictures/Index/box/Remastered.png</xsl:attribute></img>
												</xsl:when>
												<xsl:otherwise>
													<xsl:choose>
														<xsl:when test="contains(baseFilename,'UNRATED')">
															<img><xsl:attribute name="src">pictures/Index/box/Unrated.png</xsl:attribute></img>
														</xsl:when>
														<xsl:otherwise>
															<xsl:choose>
																<xsl:when test="contains(baseFilename,'UNCUT')">
																	<img><xsl:attribute name="src">pictures/Index/box/Uncut.png</xsl:attribute></img>
																</xsl:when>
																<xsl:otherwise>
																</xsl:otherwise>
															</xsl:choose>				
														</xsl:otherwise>
													</xsl:choose>	
												</xsl:otherwise>
											</xsl:choose>				
										</xsl:otherwise>
									</xsl:choose>	
								</xsl:otherwise>
							</xsl:choose>								
						</xsl:otherwise>
					</xsl:choose>				
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>

	<xsl:template name="WatchTagSelection">
		<xsl:if test="$EnableWatchTag = 'true' and @isSet = 'false'">
			<xsl:choose>
				<xsl:when test="watched = 'false'">
					<img><xsl:attribute name="src">pictures/Index/box/Unwatched.png</xsl:attribute></img>
				</xsl:when>
				<xsl:otherwise>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	
</xsl:stylesheet>




							
							
